
/* VARIABLES
---------------------------------------------------*/

// Variables bootstrap
@import "css/variables.less";
// Variables du theme
@import "css/variables_theme.less";

@import "css/mixins.less";
@import "css/tables.less";

// ------------------------------------------------*/


/* HTML GLOBAL RULES ----------------------------- */
body {
  padding:0;
  color:@black;
  /* 60px to make the container go all the way
  to the bottom of the topbar */
  h1,.h1{
    font-family: @h1-webfont, @sansFontFamily;
    font-size:3.5em;
    margin-bottom:0em;
  }
  h2,h3,.h2,.h3{
      font-family:@serifFontFamily;
      font-size:2.3em;
  }
}
hr {clear:both;}

h1,h2,h3 {
  font-family:@web_font, @web_font_alternate;
  font-weight:normal;
}
h3, .h3, .h3-like{
    margin-bottom: 0.5em;
}

a:focus, a:hover, a:active {
  background-color:transparent;
  outline:none;
}


/* MARK : HTML TAGS : KBD (raccourcis claviers) */
kbd {
    background-color: #F7F7F7;
    border: 1px solid #CCCCCC;
    border-radius: 3px 3px 3px 3px;
    box-shadow: 0 1px 0 rgba(0, 0, 0, 0.2), 0 0 0 2px #FFFFFF inset;
    color: #333333;
    display: inline-block;
    font-family: Arial,Helvetica,sans-serif;
    font-size: 11px;
    line-height: 1.4;
    margin: 0 0.1em;
    padding: 0.1em 0.6em;
    text-shadow: 0 1px 0 #FFFFFF;
    white-space: nowrap;
    .black {
	background-color: #1b1b1b;
	box-shadow: 0 1px 0 rgba(0, 0, 0, 0.2), 0 0 0 2px #212121 inset;
	color: #f3f3f3;
	text-shadow: 0 1px 0 #FFFFFF;
    }
}


/* MARK UTILITIES ------------------------------- */

/* MARK : UTILITIES : ICONS THEME ------------------------------------------------*/


[class^="icn32-"],
[class*="icn32-"],
.icn32 {
  background-image: url(@{themeSprite});
  display: inline-block;
  background-repeat: no-repeat;
  width: 32px;
  height:32px;
}
[class^="icn16-"],
[class*="icn16-"],
.icn16 {
  background-image: url(@{themeSprite});
  display: inline-block;
  background-repeat: no-repeat;
  width: 16px;
  height:16px;
}
/* Icones 16px					x		y */
.icn16-accept		{background-position: 	0		0; }
/* Icones 32px					x		y */
.icn32-keyboard		{background-position: 	0		-32px; }
.icn32-keyboard-active	{background-position: 	-64px		-32px; }
.icn32-tick		{background-position: 	-32px		-32px; }
.icn32-kbd-black-left	{background-position: 	-96px		-32px; }
.icn32-kbd-black-right	{background-position: 	-128px		-32px; }
.icn32-kbd-black-left-active	{background-position: 	-160px		-32px; }
.icn32-kbd-black-right-active	{background-position: 	-192px		-32px; }

/* masquer un élément présent pour le plan de page et le référencement mais sans intérêt visuel/graphique
	similaire blueprint .hide
*/
.invisible {
	font-size:0px; /* pour EI !!! */
	text-indent:-5000px;
	margin:0;
	padding:0;
        line-height: 0;
}

/* TIME CHANGE ------------------------------------------

Class pour le changement de body en fonction de l'heure
--------------------------------------------------------- */

.evening{
  background: url("../img/@{evening-bg}") repeat-x scroll left top @evening-color;
  .menu_left .item a {
    color:#094C82;
    font-weight:bold;
    /*text-shadow:1px 1px #FFFFFF;*/
  }
  .liste-items .item {
    border-color:#285086;
  }
}
.afternoon{
  background: url(../img/@{afternoon-bg}) repeat-x scroll left top @afternoon-color;
}
.noon{
  background: url(../img/@{noon-bg}) repeat-x scroll left top @noon-color;
}
.morning{
  background: url(../img/@{morning-bg}) repeat-x scroll left top @morning-color;
}
.night{
  background: url(../img/@{night-bg}) repeat-x scroll left top @night-color;
}
.general{
  background: url(../img/@{general-bg}) repeat-x scroll left top @general-color;
}

/* ------------------------------------------------

  MARK KEYBOARD NAV : navigation au clavier
  
------------------------------------------------- */
#keyboard {
    width:115px;
    .popover.top .arrow {
	left:10%;
    }
}


#arrowkeys {
    position: relative;
    top: 3px;
}

#arrowleft {
    .icn32;
   .icn32-kbd-black-left;
    float: left;
}

#arrowright {
    .icn32;
    .icn32-kbd-black-right;
    float: right;
}

#arrowright-pressed {
    .icn32;
    .icn32-kbd-black-right-active;
    display: none;
    position: absolute;
    top: 0pt;
    right: 0pt;
}

#arrowleft-pressed {
    .icn32;
   .icn32-kbd-black-left-active;
    display: none;
    position: absolute;
    top: 0pt;
    left: 0pt;
}

#arrowkeys span {
    position: relative;
    left: 7px;
    padding: 0pt 5px;
    top: 44px;
}



#enabled {
    position: relative;
    float:right;
    margin-left: 10px;
    display: none;
}
  


/* MARK BOOTSTRAP GLOBAL STYLES
-------------------------------------------------- */

/* MARK BOOTSTRAP : ICONES*/
[class^="icon-"], [class*=" icon-"] {
    background-image: url('@{iconSpritePath}');
}
.icon-white, .nav-pills > .active > a > [class^="icon-"], .nav-pills > .active > a > [class*=" icon-"], .nav-list > .active > a > [class^="icon-"], .nav-list > .active > a > [class*=" icon-"], .navbar-inverse .nav > .active > a > [class^="icon-"], .navbar-inverse .nav > .active > a > [class*=" icon-"], .dropdown-menu > li > a:hover > [class^="icon-"], .dropdown-menu > li > a:hover > [class*=" icon-"], .dropdown-menu > .active > a > [class^="icon-"], .dropdown-menu > .active > a > [class*=" icon-"], .dropdown-submenu:hover > a > [class^="icon-"], .dropdown-submenu:hover > a > [class*=" icon-"]{
    background-image: url('@{iconWhiteSpritePath}');
}

/* FORMS */
.input-xlarge {
    width: 270px;
}

// MARK : BOOTSTRAP : HERO - UNIT
.hero-unit {
  background-color: @heroUnitBackground;
  border: @heroUnitBorder;
}

.hero-unit img {
  float:left;
  margin-right:10px;
  clear:both;
}

/* BOOTSTRAP : THUMBNAILS */

/* BOOTSTRAP : THUMBNAILS : ecran-liste_rub */
.ecran-liste_rub {
  li.span4:nth-child(3n + 4) {
    margin-left : 0px;
    clear:both;
    }
  .thumbnail h3,.thumbnail .h3 {
    font-size : 1.8em;
    font-family: @h1-webfont;
    text-align: center;
    margin-bottom:0;
    display: block;
    min-height:70px;
    margin-top:0.4em;
  }
  .thumbnails [class*="span"]:last-child {
    float:left;
    margin-left : @gridGutterWidth / 2;
  }
  .thumbnails >li{
    margin-left : @gridGutterWidth / 2;
  }
}

/* MARK : jquery.QueryLoader Styles */

.QOverlay {
	background-color: #000000;
	z-index: 9999;
}

.QLoader {
	background-color: #CCCCCC;
	height: 1px;
}

.QAmt {
	color:#333333;
	font-family:"Trebuchet MS",Arial,Helvetica,sans-serif;
	font-size:40px;
	font-weight:bold;
	line-height:50px;
	height:50px;
	width:100px;
	margin:-60px 0 0 -50px;
}



/* SITE THEME */


// MARK : ECRANS : Images de fonds des Panoramas
.bg0 {
  background-image:url(../img/bg_ecran0.png);
}
.bg1 {
  background-image:url(../img/bg_ecran1.png);
}
.bg2 {
  background-image:url(../img/bg_ecran2.png);
}

/* MARK : FOOTER  */
#footer_nav .brand{
    float:right;
}
#footer_nav .nav{
    float:right;
    // Follow Me : les icones réseaux sociaux
    li > a {padding:4px 8px;}
}

  #player .radiobox {
      float:left;
      margin-right:10px;
      font-size:16px;
      #scroller {
        font-size:10px;
      }
  }
  #player {
    margin-right: 10px;
    i {font-size:16px;}
    .btn-group {margin-top:10px;}
    .pagination ul > li {display:inline-block;} /* si une pagination est utilisé dans le dropdown */
    .dropdown-menu li {line-height:0.5em;}
  }
  
  

/* MARK : Layout, Content wrapper, ecrans */

#content-wrapper{
/*  margin-top: 20px;*/
  overflow: hidden;
  position: relative;
/*  top:-20px;*/
}
  #content-wrapper .container {
    //left:-10px;
    position:relative;
  }

/* MARK : ECRANS : */
.content {
    /*background: url(../img/skybg.png) repeat-x scroll left top #99CDFF;*/
  /*background: url(../img/skybg.png) repeat-x scroll left top #99CDFF;*/
  /*height: 450px;*/
  width: 30000px; /* TODO : Adapter la taille en fonction du nombre de rubriques/écrans*/
  height:100%;
  min-height:500px;
}

.screen {
  float:left;
  height:100%;
  width:2000px;
  padding-top:(@navbarHeight+20px);
  padding-bottom:60px;
  background-position:bottom left;
  background-repeat:no-repeat;
}

 
.customwidth {
    width: 1000px;
    height: 100%;
    float: left;
}

/* MARK : ARTICLE */
/*  Forcer le margin a 0 sur le menu/liste des articles de la rubrique :
    correction d'un bug du a la pseudo class, first_child et les rajouts de spip lors de l'utilisation de Ajax
*/
.screen .menu_left{
  margin-left:0;
  h1 {
    margin-bottom:0;
  }
}

/* ECRANS : Encarts : Fond pour l'affichage du contenu : article ou ecran par défaut */

/* On style le scroll et la base de encart */
.encart {
    /* jScrollPane */
    /* Styles specific to this particular page */
    .scroll-pane{
            width: 100%;
            height: 650px;
            overflow: auto;
    }
    /* MacOsX Styles for jScrollPane :
      http://www.queness.com/post/11809/transform-jscrollpane-into-mac-osx-lion-scroll-bar
    */
    .jspVerticalBar{
            position: absolute;
            top: 0;
            right: 0;
            width: 8px;
            height: 100%;
    }
    
    .jspHorizontalBar{
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            height: 8px;
    }
    
    .jspVerticalBar *,
    .jspHorizontalBar *{
            margin: 0;
            padding: 0;
            /* fix IE 7,8 to work with jQuery fadeIn/Out */
            opacity:inherit;
            filter:inherit;
    }
    
    .jspDrag{
            background: #666;
            position: relative;
            top: 0;
            left: 0;
            cursor: pointer;
            border-radius:5px;
            -webkit-border-radius:5px;
            -moz-border-radius:5px;		
            -ms-border-radius:5px;			
            -o-border-radius:5px;				
    }

}
/* encart : avec un fond blanc pour la lisibilité pour les articles */
.encart-bg_white {
    background:url(../img/bg_article_trans.png) repeat top left;
    border: 0 none;
    border-radius: 4px 4px 4px 4px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05) inset;
}

/* ARTICLE */
article {
    margin-bottom: 60px;
    min-height: 20px;
    padding: 19px;
    h1 {
      font-family:@serifFontFamily;
      font-size:2.7em;
    }
}


/* MARK : COMPOSITIONS : ACHETER */
.liste-morceaux{
  .spip_documents,
  .spip_documents_center,
  .spip_doc_titre,
  .spip_doc_descriptif{
    margin:0;
    padding:0;
    text-align:left;
  }
}
/* MARK PLUGINS : JQUERY */



/* MARK : MODELES */

/* Documents */
.documents_portfolio {
    ul.thumbnails {
        li.span12 + li { margin-left : 0px; }
        li.span6:nth-child(2n + 3) { margin-left : 0px; }
        li.span4:nth-child(3n + 4) { margin-left : 0px; }
        
        li.span3:nth-child(4n + 5) { margin-left : 0px;float:left; }
        li.span3:last-child {
            float:left;
            margin-left:30px;
        }
        li.span2:nth-child(6n + 7) { margin-left : 0px; }
        li.span1:nth-child(12n + 13) { margin-left : 0px; }
    }
}
.documents_portfolio .thumbnail {
  height:110px;
  /*width:100%;*/
}

/* MARK : PAGES */
.page_article .screen {height:auto;}

/* MARK : SPIP */

.cartouche .spip_logos,
.hero-unit .spip_logos,
.entry-title .spip_logos {
  float:left;
  margin:0 15px 0 0;
}

table.spip {
  width:auto;
  .table-bordered;
}

// MARK : Listes :
.liste-items .item{padding-left:5px;padding-right:5px;}
.liste-items .item:hover{
  background-color:@grayLighter;
}

.menu_left {
    .item {
        h3 {
            font-family: @sansFontFamily;
            font-size: 1em;
            line-height: 1.5em;
            margin-bottom: 0;
            float:left;
        }
        .on h3 {
            font-weight: bold;
        }
        i{
            float: right;
        }
    }
}

/* MARK : Bootstrap : NAVBAR
-------------------------------------------------- */
// Menulang
.navbar .formulaire_menu_lang {
  width: 145px;
  float:right;
  clear:none;
  margin-top:10px;
  form{
    margin:0;
  }
  label {
    display:none;
  }
}


/* Remove border and change up box shadow for more contrast */
.navbar .navbar-inner {
border: 0;
-webkit-box-shadow: 0 2px 10px rgba(0,0,0,.25);
   -moz-box-shadow: 0 2px 10px rgba(0,0,0,.25);
        box-shadow: 0 2px 10px rgba(0,0,0,.25);
}

/* Downsize the brand/project name a bit */
.navbar .brand {
padding: 14px 20px 16px; /* Increase vertical padding to match navbar links */
font-size: 16px;
font-weight: bold;
text-shadow: 0 -1px 0 rgba(0,0,0,.5);
}

/* Navbar links: increase padding for taller navbar */

.navbar .nav > li > a {
  padding: 15px;
}



/* Offset the responsive button for proper vertical alignment */
.navbar .btn-navbar {
margin-top: 10px;
}




/* MARK : RESPONSIVE CSS
-------------------------------------------------- */
//@media (max-width : 1200px){
//  .navbar-fixed-top, .navbar-fixed-bottom {
//    position: absolute;
//  }
//  
//}


